System Requirements

  1. The eRIA-IRB suite of applications require your browser to enable the use of JavaScript
  2. Off-campus access will require the use of the Virtual Private Network (VPN) Services.
  3. Supported browsers include:

The following browsers are supported for the current release of InfoEd:

Windows Macintosh

Microsoft :
Internet Explorer 11
Microsoft Edge 25,10586

Mozilla Firefox :
38.0.5 through 46.0.1
38.1.0 through 38.8.0

Google Chrome :
43.0.2357.124 through 51.0.2704.63

Apple Safari :
9 through 9.0.3
8.0.6 through 8.0.0
7.1.6 through 7.1.8

Mozilla Firefox :
38.0.5 through 46.0.1
38.1.0 through 38.8.0 ESR

Google Chrome :
43.0.2357.124 through 51.0.2704.63